#include <stdio.h>
#include <iostream>
#include <string>
#include <vector>
#include <math.h>
#include <algorithm>


#define SQR(X) ((X)*(X))


using namespace std;


const int MaxL = 5000;


int m, l, f;
double mp, err;
string s;
vector<int> v;


inline void my_assert(bool cond, const string& msg) {
	if (!cond) {
		cerr << "WRONG INPUT : ";
		cerr << msg << endl;		
		throw msg;
	}
}


int main() {
	freopen("input.txt", "r", stdin);
	freopen("output.txt", "w", stdout);
	cin >> m >> s;
	my_assert(1 <= m && m <= 99, "M is out of range");
	my_assert(2 <= s.size() && s.size() <= MaxL, "Length is out of range");
	
	v.resize(s.size());
	for (int i = 0; i < s.size(); i++) {
		v[i] = 'A' <= s[i] && s[i] <= 'Z';
	}

	mp = m / 100.0;
	l = 1; f = 0; err = abs(v[0] / 1.0 - mp);
	int tmpl, tmpk;
	for (int i = 0; i < v.size(); i++) {
		tmpk = 0;
		for (int j = i; j < v.size(); j++) {
			tmpk += v[j];
			tmpl = j - i + 1;
			double tmperr = abs(tmpk / (double) tmpl - mp);
			if (tmperr < err || tmperr == err && tmpl < l) {
				err = tmperr;
				l = tmpl;
				f = i;
			}
		}
	}
	for (int i = 0; i < l; i++) {
		cout << s[f + i];
	}
	fclose(stdin);
	fclose(stdout);
	return 0;
}
